/*
======================
CSS Reset
======================
*/

/* http://meyerweb.com/eric/tools/css/reset/ 
   v2.0 | 20110126
   License: none (public domain)
*/

html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed, 
figure, figcaption, footer, header, hgroup, 
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
	margin: 0;
	padding: 0;
	border: 0;
	font-size: 100%;
	font: inherit;
	vertical-align: baseline;
}
/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure, 
footer, header, hgroup, menu, nav, section {
	display: block;
}
body {
	line-height: 1;
}
ol, ul {
	list-style: none;
}
blockquote, q {
	quotes: none;
}
blockquote:before, blockquote:after,
q:before, q:after {
	content: '';
	content: none;
}
table {
	border-collapse: collapse;
	border-spacing: 0;
  box-sizing: border-box;
}

input, select, textarea, div, tr, td, label {
  box-sizing: border-box;
}

/* ======= *\
|   Шрифты  |
\* ======= */


@font-face {
    font-family: 'montserratbold';
    src: url('/core/fonts/montserrat-bold.woff2') format('woff2'),
         url('/core/fonts/montserrat-bold.woff') format('woff');
    font-weight: normal;
    font-style: normal;

}

@font-face {
    font-family: 'montserratbold_italic';
    src: url('/core/fonts/montserrat-bolditalic.woff2') format('woff2'),
         url('/core/fonts/montserrat-bolditalic.woff') format('woff');
    font-weight: normal;
    font-style: normal;

}

@font-face {
    font-family: 'montserratitalic';
    src: url('/core/fonts/montserrat-italic.woff2') format('woff2'),
         url('/core/fonts/montserrat-italic.woff') format('woff');
    font-weight: normal;
    font-style: normal;

}

@font-face {
    font-family: 'montserratlight';
    src: url('/core/fonts/montserrat-light.woff2') format('woff2'),
         url('/core/fonts/montserrat-light.woff') format('woff');
    font-weight: normal;
    font-style: normal;

}

@font-face {
    font-family: 'montserratlight_italic';
    src: url('/core/fonts/montserrat-lightitalic.woff2') format('woff2'),
         url('/core/fonts/montserrat-lightitalic.woff') format('woff');
    font-weight: normal;
    font-style: normal;

}

@font-face {
    font-family: 'montserratmedium';
    src: url('/core/fonts/montserrat-medium.woff2') format('woff2'),
         url('/core/fonts/montserrat-medium.woff') format('woff');
    font-weight: normal;
    font-style: normal;

}

@font-face {
    font-family: 'montserratmedium_italic';
    src: url('/core/fonts/montserrat-mediumitalic.woff2') format('woff2'),
         url('/core/fonts/montserrat-mediumitalic.woff') format('woff');
    font-weight: normal;
    font-style: normal;

}

@font-face {
    font-family: 'montserratregular';
    src: url('/core/fonts/montserrat-regular.woff2') format('woff2'),
         url('/core/fonts/montserrat-regular.woff') format('woff');
    font-weight: normal;
    font-style: normal;

}

@font-face {
    font-family: 'montserratsemibold';
    src: url('/core/fonts/montserrat-semibold.woff2') format('woff2'),
         url('/core/fonts/montserrat-semibold.woff') format('woff');
    font-weight: normal;
    font-style: normal;

}

@font-face {
    font-family: 'montserratsemibold_italic';
    src: url('/core/fonts/montserrat-semibolditalic.woff2') format('woff2'),
         url('/core/fonts/montserrat-semibolditalic.woff') format('woff');
    font-weight: normal;
    font-style: normal;

}

@font-face {
    font-family: 'montserratthin';
    src: url('/core/fonts/montserrat-thin.woff2') format('woff2'),
         url('/core/fonts/montserrat-thin.woff') format('woff');
    font-weight: normal;
    font-style: normal;

}

@font-face {
    font-family: 'montserratthin_italic';
    src: url('/core/fonts/montserrat-thinitalic.woff2') format('woff2'),
         url('/core/fonts/montserrat-thinitalic.woff') format('woff');
    font-weight: normal;
    font-style: normal;

}

/* ======= *\
|   Общие   |
\* ======= */

body {
  min-width: 990px;
  font-family: 'montserratregular';
}

p, ul, ol, li {
  margin: 20px;
  text-align: justify;
  font-family: 'montserratregular';
}

h2, h3 {
  font-family: 'montserratbold';
  text-align: center;
  margin: 20px;
  font-weight: bold;
}

h2 {
  margin-top: 32px;
}

h3 {
  
}


a {
  font-family: 'montserratsemibold';
}

strong {
  font-family: 'montserratmedium';
}

table {
  margin: 20px;
}

th, td {
  padding: 6px;
}

input, textarea, select {
  width: 100%;
  padding: 6px;
  font: normal normal normal 18px/1.1em 'montserratregular';
}

label {
  display: block;
  width: 100%;
  padding: 6px;
  font: bold normal normal 18px/1.1em 'montserratregular';
  text-align: left;
}

#content-wrapper {
  width: 100%;
  font: normal normal normal 18px/1.1em 'montserratregular';
}

.center {
 text-align: center;
}

.rounded {
  border-radius: 8px;
}

.content {
  width: 100%;
  max-width: 990px;
  margin: 0 auto;
}

.clear {
  clear: both;
  overflow: hidden;
}

.button-block {
  max-width: 360px;
  margin: 50px auto;
  overflow: hidden;
}

.base-table {
  width: 100%;
  box-sizing: border-box;
}

.base-table th {
  background-color: #87CEFA;
  padding: 6px;
  vertical-align: middle;
  font-size: 0.9em;
}

.base-table td {
  padding: 6px;
  vertical-align: middle;
  font-size: 0.9em;
}

.base-table tr:nth-child(2n) td {
  border: 1px solid #dfeffc;
}

.base-table tr:nth-child(2n+1){
  background-color: #dfeffc;
}

.base-table tr:nth-child(2n+1) td, th {
  border: 1px solid #ffffff;
}

.base-table-footer {
  font-style: italic;
  background-color: #4682B4;
  color: #ffffff;
  font-size: 0.9em;
}

.hovered tr:hover {
  background-color: #7FFFD4;
}



/* ======= *\
|   Шапка   |
\* ======= */

#header-block {
  margin-bottom: 20px;
}

#header-image{
width: 100%;
min-width: 990px;
height: 350px;
background: url(/images/hisense_top_.jpg) center no-repeat;
}

/* ======= *\
|  Главная  |
\* ======= */

#event-list {
  overflow: hidden;
}

.event-block {
  width: 310px;
  margin: 10px;
  float: left;
}

.event-block p {
  font: normal normal normal 16px/1.1em 'montserratregular';
  text-align: left;
}

.event-block-buttons a {
  margin: 20px;
  text-decoration: none;
  color: #00AAA6;
  font-weight: bold;
  display: block;
  font: bold normal normal 17px/1.1em 'montserratregular';
}

.event-block-buttons a:hover {
  color: #888B8D;
}

.address-block {
  min-height: 56px;
}

.left-button {
  float: left;
}

.right-button {
  float: right;
}

.timetable td {
  text-align: left;
}

/* ================= *\
|     Специальные     |
\* ================= */

.registration-form {
  width: 80%;
  margin: 20px auto;
  padding: 0px 20px;
}

.info-block {
  overflow: auto;
  width: 100%;
  height: 320px;
  padding: 12px;
  background-color: #dddddd;
  border: 1px solid grey;
}

.change-event-status {
  cursor: pointer;
}

/* ======= *\
|   Футер   |
\* ======= */

#scrollup {
position: fixed;
opacity: 0.5;
padding: 15px 10px 10px;
right: 10px;
bottom: 10px;
display: none;
cursor: pointer;
}

#footer-block {
  margin-top: 50px;
  font: normal normal normal 16px/1.1em 'montserratregular';
}

/* ================ *\
|   страница входа   |
\* ================ */

.reg-form-wrapper {
  width: 100%;
  text-align: center;
}

.reg-form-div {
  width: 400px;
  padding: 20px 12px;
  border: 1px solid black;
  text-align: left;
  margin: 5% auto;
}

.reg-form-label {
  font-size: 1rem;
}

.reg-form-input {
  width: 100%;
  margin-bottom: 12px;
  padding: 6px;
}

.reg-form-button {
  float: right;
}

/* ======= *\
|   Медиа   |
\* ======= */

@media only screen and (max-width : 1024px) {
  body {
    min-width: 400px;
  }
  
  #header-image{
    background: url(/images/hisense_top_2.jpg) center no-repeat;
    min-width: 400px;
    height: 220px;
  }
  
  .event-block {
    width: 100%;
    max-width: 360px;
  }

  .content {
    max-width: 900px;
  }
}

@media only screen and (max-width : 600px) {
  #content-wrapper: {
    max-width: 360px;
  }
  
  body {
    min-width: 360px;
  }
  
  #header-image{
    background: url(/images/hisense_top_3.jpg) center no-repeat;
    min-width: 360px;
    height: 180px;
  }
  
  .event-block {
    width: 100%;
    max-width: 340px;
  }

  .content {
    max-width: 360px;
  }
  
  .registration-form {
    width: 100%;
  }
}